Subject: Re: bug#36516: Wrong dynamic abbrev expansion after space

From: Alan Third <[email-masked]>
Date: Sat, 3 Aug 2019 12:34:39 +0100

On Sun, Jul 28, 2019 at 11:47:53PM +0300, Juri Linkov wrote:
> > I suppose that subsequent M-/’s are undocumented, but the current
> > behaviour is, IMO, definitely confusing as it seems to search other
> > buffers for completions even though there are valid completions in the
> > current buffer.
> 
> Maybe it's possible to break out of the vicious cycle of ‘SPC M-/’
> repetitions by making ‘SPC M-/’ look like a normal expansion, e.g.:

This looks good to me. The only problem is it breaks the test for
bug#1948. I think it no longer squashes all the spaces.
-- 
Alan Third